package com.test.ejb;


import java.util.HashMap;
import java.util.Map;

import javax.ejb.embeddable.EJBContainer;
import javax.naming.NamingException;

import org.testng.annotations.AfterClass;
import org.testng.annotations.BeforeClass;
import org.testng.annotations.Test;


public class TestEJBTest {

    private EJBContainer ejbCon;

    @BeforeClass
    public void start() {
        Map<Object, Object> parameters = new HashMap<Object, Object>();
        parameters.put("org.glassfish.ejb.embedded.glassfish.installation.root", "target/glassfish");
        parameters.put(EJBContainer.APP_NAME, "TEST");
        parameters.put(EJBContainer.MODULES, new String[] { "classes", "test-classes" });
        ejbCon = EJBContainer.createEJBContainer(parameters);
    }

    @Test
    public void test() throws NamingException {
        TestEJBInterface ejb = (TestEJBInterface) ejbCon.getContext().lookup("java:global/TEST/classes/TestEJB");
        System.out.println(ejb.method());
    }

    @AfterClass
    public void stop() {
        ejbCon.close();
    }
}
